Subject: Re: bug#17713: First portion of `bt full`

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jun 2014 10:49:35 +0300

> From: Geoff Shannon <[email-masked]>
> Date: Fri, 6 Jun 2014 00:14:39 -0700
> 
> So I've got a hung emacs that I have attached to in a debugger.  I opened a
> new emacs to use report-emacs-bug; following the instructions I was going
> to include the output of 'bt full'.  Except that it's about 17500 lines
> long...
> 
> I took a look at the backtrace as well, and of the 3800 calls on the list,
> ~3700 of them are from either mark_object or mark_vectorlike.

Are you sure it is hung, and not in some very long GC?  I see nothing
wrong in the backtrace you sent, it just shows that Emacs is
collecting garbage.  Lots of it.  It is not unusual for GC to have
tens of thousands of recursive calls to mark_object, because GC is
highly recursive.

> I'm not sure what else to do (I'm not familiar with emacs c code at all),
> but I can keep the hung emacs running in the debugger pretty much
> indefinitely if that's useful.

If you leave it running, does it eventually recover and become
responsive again?  Or does it keep being stuck forever?